Đến nội dung


Hình ảnh
- - - - -

Hỏi Về Lisp


  • Please log in to reply
3 replies to this topic

#1 mrchuothoang

mrchuothoang

    biết vẽ arc

  • Members
  • PipPip
  • 42 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 11 May 2013 - 11:41 AM

Chào các pro. e thành viên mới và không giỏi về CAD lắm.

e thấy các member hay úp Lisp lên. e download Lisp đó về rồi mà ko biết làm sao nữa.

Mong các Pro chỉ giúp e cách sử dụng Lisp như thế nào cho tốt nhất. Thanks All

:excl:  :excl:  :excl:  :excl:  :excl:  :excl:  :excl:  :excl:  :excl:  :excl:


  • 0

#2 Song Nhi

Song Nhi

    biết vẽ rectang

  • Members
  • PipPip
  • 83 Bài viết
Điểm đánh giá: 52 (tàm tạm)

Đã gửi 11 May 2013 - 11:07 PM

Sử dụng Lisp như thế nào cho tốt nhất mình không biết, nhưng nếu bạn download Lisp đó về rồi mà ko biết làm sao nữa thì bạn tham khảo tại các line sau:

http://www.cadviet.c...u-dung-ma-lisp/

http://www.cadviet.c...au-cac-ban-nhe/


  • 1

#3 mrchuothoang

mrchuothoang

    biết vẽ arc

  • Members
  • PipPip
  • 42 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 13 May 2013 - 05:47 AM

Giờ Thì mình đã biết, Thanks Song Nhi nhiu :D  :D  :D  :D  :D


  • 0

#4 hongtalinh2009

hongtalinh2009

    biết pan

  • Members
  • Pip
  • 9 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 16 May 2013 - 03:47 PM

;; free lisp from cadviet.com
;; this lisp was downloaded from http://www.cadviet.c...?showtopic=3778
(defun add_mline ()
(foreach e_record_sub e_record
(cond ((= 10 (car e_record_sub))
(setq pt1 (cdr e_record_sub)
mline_len 0.0
)
)
((= 11 (car e_record_sub))
(setq pt2 (cdr e_record_sub)
mline_len (+ mline_len (distance pt2 pt1))
pt1 pt2
)
)
)
)
(setq f (+ f mline_len))
(ssdel e_name ss)
)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun C:th (/ f ss e_name e_record e_type)
(setq f 0.0)
(setq ss (ssget))
(if (null ss)
(exit))
(while (> (sslength ss) 0)
(setq e_name (ssname ss 0))
(setq e_record (entget e_name))
(setq e_type (cdr (assoc '0 e_record)))
(cond ((wcmatch e_type "LINE,ARC,CIRCLE,POLYLINE,LWPOLYLINE,ELLIPSE,SPLINE")
(command "lengthen" e_name "")    
(setq f (+ f (getvar "PERIMETER")))
(ssdel e_name ss))
((wcmatch e_type "MLINE") (add_mline))
(e_type (ssdel e_name ss))))
(setq p (getpoint "\n Chon diem nhap ket qua" ))
(if (not k) (setq k 1)) (setq h (getreal (strcat "\n Nhap chieu cao text < " (rtos k 2 2) " >: "))) (if h (setq k h))
(command "text" p h "0" (strcat(rtos f 2 0)))
;(prompt (strcat "\nTotal length is: " (rtos f 2 2)))
(princ));end

  • 0